Package org.apache.sling.commons.json.jcr

# Class JsonItemWriter

java.lang.Object
org.apache.sling.commons.json.jcr.JsonItemWriter

@Deprecated public class JsonItemWriter extends Object
Deprecated.
Dumps JCR Items as JSON data. The dump methods are threadsafe.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Locale`
`DATE_FORMAT_LOCALE`
Deprecated.
Used to format date values
`static final String`
`ECMA_DATE_FORMAT`
Deprecated.
Used to format date values

## Constructor Summary

Constructors
Constructor
Description
`JsonItemWriter(Set<String> propertyNamesToIgnore)`
Deprecated.
Create a JsonItemWriter

## Method Summary

Modifier and Type
Method
Description
`void`
`dump(javax.jcr.NodeIterator it, Writer out)`
Deprecated.
Dump all Nodes of given NodeIterator in JSON
`void`
`dump(javax.jcr.Node node, Writer w, int maxRecursionLevels)`
Deprecated.
Dump given node in JSON, optionally recursing into its child nodes
`void`
`dump(javax.jcr.Node node, Writer w, int maxRecursionLevels, boolean tidy)`
Deprecated.
the tidy mode was removed from the json library
`protected void`
`dump(javax.jcr.Node node, JSONWriter w, int currentRecursionLevel, int maxRecursionLevels)`
Deprecated.
Dump given node in JSON, optionally recursing into its child nodes
`void`
`dump(javax.jcr.Property p, Writer w)`
Deprecated.
Dump given property in JSON
`protected void`
`dumpSingleNode(javax.jcr.Node n, JSONWriter w, int currentRecursionLevel, int maxRecursionLevels)`
Deprecated.
Dump a single node
`protected void`
`dumpValue(JSONWriter w, javax.jcr.Value v)`
Deprecated.
Writes the given value to the JSON writer.
`static String`
`format(Calendar date)`
Deprecated.
`protected boolean`
`recursionLevelActive(int currentRecursionLevel, int maxRecursionLevels)`
Deprecated.
true if the current recursion level is active
`protected void`
`writeProperty(JSONWriter w, javax.jcr.Property p)`
Deprecated.
Write a single property

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ECMA_DATE_FORMAT

public static final String ECMA_DATE_FORMAT
Deprecated.
Used to format date values

See Also:
  - Constant Field Values

### DATE_FORMAT_LOCALE

public static final Locale DATE_FORMAT_LOCALE
Deprecated.
Used to format date values

## Constructor Details

### JsonItemWriter

public JsonItemWriter(Set<String> propertyNamesToIgnore)
Deprecated.
Create a JsonItemWriter

Parameters:
  `propertyNamesToIgnore` - if not null, a property having a name from this set of values is ignored. TODO we should use a filtering interface to make the selection of which Nodes and Properties to dump more flexible.

## Method Details

### dump

public void dump(javax.jcr.NodeIterator it, Writer out) throws javax.jcr.RepositoryException, JSONException
Deprecated.
Dump all Nodes of given NodeIterator in JSON

Throws:
  `JSONException`
  `javax.jcr.RepositoryException`

### dump

public void dump(javax.jcr.Node node, Writer w, int maxRecursionLevels) throws javax.jcr.RepositoryException, JSONException
Deprecated.
Dump given node in JSON, optionally recursing into its child nodes

Throws:
  `javax.jcr.RepositoryException`
  `JSONException`

### dump

@Deprecated public void dump(javax.jcr.Node node, Writer w, int maxRecursionLevels, boolean tidy) throws javax.jcr.RepositoryException, JSONException
Deprecated.
the tidy mode was removed from the json library
Dump given node in JSON, optionally recursing into its child nodes

Parameters:
  `tidy` - if `true` the json dump is nicely formatted
Throws:
  `javax.jcr.RepositoryException`
  `JSONException`

### dump

public void dump(javax.jcr.Property p, Writer w) throws JSONException, javax.jcr.ValueFormatException, javax.jcr.RepositoryException
Deprecated.
Dump given property in JSON

Throws:
  `JSONException`
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`

### dump

protected void dump(javax.jcr.Node node, JSONWriter w, int currentRecursionLevel, int maxRecursionLevels) throws javax.jcr.RepositoryException, JSONException
Deprecated.
Dump given node in JSON, optionally recursing into its child nodes

Throws:
  `javax.jcr.RepositoryException`
  `JSONException`

### dumpSingleNode

protected void dumpSingleNode(javax.jcr.Node n, JSONWriter w, int currentRecursionLevel, int maxRecursionLevels) throws javax.jcr.RepositoryException, JSONException
Deprecated.
Dump a single node

Throws:
  `javax.jcr.RepositoryException`
  `JSONException`

### recursionLevelActive

protected boolean recursionLevelActive(int currentRecursionLevel, int maxRecursionLevels)
Deprecated.
true if the current recursion level is active

### writeProperty

protected void writeProperty(JSONWriter w, javax.jcr.Property p) throws javax.jcr.ValueFormatException, javax.jcr.RepositoryException, JSONException
Deprecated.
Write a single property

Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.RepositoryException`
  `JSONException`

### dumpValue

protected void dumpValue(JSONWriter w, javax.jcr.Value v) throws javax.jcr.ValueFormatException, IllegalStateException, javax.jcr.RepositoryException, JSONException
Deprecated.
Writes the given value to the JSON writer. currently the following conversions are done:

JSR Property Type | JSON Value Type
--- | ---
BINARY | always 0 as long
DATE | converted date string as defined by ECMA
BOOLEAN | boolean
LONG | long
DOUBLE | double
all other | string

1 Currently not implemented and uses 0 as default.

Parameters:
  `w` - json writer
  `v` - value to dump
Throws:
  `javax.jcr.ValueFormatException`
  `IllegalStateException`
  `javax.jcr.RepositoryException`
  `JSONException`

### format

public static String format(Calendar date)
Deprecated.